mining simulator

Note: After publishing, you may have to bypass your browser's cache to see the changes.

/*==============================================================[ Imports | Keep at top! ]*/
@import url("/MediaWiki:Staff.css?ctype=text/css&action=raw");
@import url("/MediaWiki:ContentBoxes.css?ctype=text/css&action=raw");
/*------------[ Fonts ]------------*/
@import url('https://fonts.googleapis.com/css?family=Carter+One');
@import url('https://fonts.googleapis.com/css?family=Fredoka+One');
/*==============================================================[ Variables ]*/
:root {
	--ms2-background-dark: url(https://static.wikia.nocookie.net/mining-simulator/images/0/0f/MS2-background-dark.png) 0/48px;
	--ms2-background-light: url(https://static.wikia.nocookie.net/mining-simulator/images/0/0a/MS2-background-light.png) 0/48px;
	--ms2-background-special: url(https://static.wikia.nocookie.net/mining-simulator/images/2/28/MS2-background-special.png) 0/48px;
}
.theme-fandomdesktop-dark {
	--ms2-background-theme: var(--ms2-background-dark);
	--textshadow-color:#000;
}
.theme-fandomdesktop-light {
	--ms2-background-theme: var(--ms2-background-light);
	--textshadow-color:#000;
}
/*==============================================================[ Link Effects ]*/
a:active,
a:focus,
a:hover {
	text-decoration: none;
	text-shadow: #47ABFF 0 0 2px;
	transition: all .1s linear 0s;
	-webkit-transition: all .1s linear 0s;
	-moz-transition: all .1s linear 0s;
	-ms-transition: all .1s linear 0s;
	-o-transition: all .1s linear 0s;
}
a.new:active,
a.new:focus,
a.new:hover {
	text-shadow: none;
	text-decoration: underline;
	text-decoration-style: dashed;
}
/*==============================================================[ Tabbers ]*/
.wds-tabs__tab.wds-is-current {
	color: var(--theme-accent-color);
}
/*==============================================================[ Community Page ]*/
.community-page-header-welcome-message,
.community-page-subheader-welcome-message {
	color:var(--theme-body-text-color) !important;
}
.community-page-header::before {
	background:var(--theme-page-background-color);
	border-bottom:3px solid;
	border-bottom-color:var(--theme-accent-color);
}
/*==============================================================[ Item Rarity Effects ]*/
/*--------------------------------[ Animated Effects ]--------------------------------*/
/*------------Mythical-[Red/White Flash]------------*/
@keyframes mythical{
	0%{
		color: #E4551E;
	}
	17%{
		color: white;
	}
	33%{
		color: #E4551E;
	}
	50%{
		color: white;
	}
	67%{
		color: #E4551E;
	}
	83%{
		color: white;
	}
	100%{
		color: #E4551E;
	}
}
.mythical{
	font-weight:bold;
	text-shadow: 0 0 5px #000;
	animation: mythical 3.5s infinite;
}
/*------------Legendary-[Rainbow]------------*/
@keyframes legendary {
	0%{
		color: #BD9AE1;
	}
	17%{
		color: #E394DF;
	}
	33%{
		color: #E7A29C;
	}
	50%{
		color: #EDEEA8;
	}
	67%{
		color: #9AF3A8;
	}
	83%{
		color: #96C1FC;
	}
	100%{
		color: #BD9AE1;
	}
}
.legendary{
	font-weight:bold;
	text-shadow: 0 0 5px #000;
	animation: legendary 3.5s infinite;
}
.legendary-ms2 {
	background:linear-gradient(to right,RED,YELLOW,LIME,CYAN,BLUE,MAGENTA,RED,YELLOW,LIME,CYAN,BLUE,MAGENTA,RED);
	-webkit-background-clip:text;
	-webkit-text-fill-color:transparent;
	background-size:200%;
	animation:ms2 2s linear infinite;
	font-weight:bold;
}
.legendary-ms2-bg {
	background:linear-gradient(to right,RED,YELLOW,LIME,CYAN,BLUE,MAGENTA,RED,YELLOW,LIME,CYAN,BLUE,MAGENTA,RED);
	background-size:200%;
	animation:ms2 1.5s linear infinite;
}
/*------------Secret-[Purple Glow]------------*/
.secret {
	background:linear-gradient(to right,#D8F,#60F,#D8F,#60F,#D8F);
	-webkit-background-clip:text;
	-webkit-text-fill-color:transparent;
	background-size:200%;
	animation:ms2 2s linear infinite;
	font-weight:bold;
}
.secret-bg {
	background:linear-gradient(to right,#D8F,#60F,#D8F,#60F,#D8F);
	background-size:200%;
	animation:ms2 1.5s linear infinite;
}
/*------------Ancient-[Blue Glow]------------*/
.ancient {
	background:linear-gradient(to right,#0DF,#32C,#0DF,#32C,#0DF);
	-webkit-background-clip:text;
	-webkit-text-fill-color:transparent;
	background-size:200%;
	animation:ms2 2s linear infinite;
	font-weight:bold;
}
.ancient-bg {
	background:linear-gradient(to right,#0DF,#32C,#0DF,#32C,#0DF);
	background-size:200%;
	animation:ms2 1.5s linear infinite;
}
/*------------Shiny-[Golden Glow]------------*/
.shiny {
	background:linear-gradient(to right,#FF5,#F90,#FF5,#F90,#FF5);
	-webkit-background-clip:text;
	-webkit-text-fill-color:transparent;
	background-size:200%;
	animation:ms2 2s linear infinite;
	font-weight:bold;
}
.shiny-bg {
	background:linear-gradient(to right,#FF5,#F90,#FF5,#F90,#FF5);
	background-size:200%;
	animation:ms2 1.5s linear infinite;
}
@keyframes ms2 {
	from {
		background-position:100%;
	}
}
/*--------------------------------[ Single-Color Effects ]--------------------------------*/
/*------------Epic-[Purple]------------*/
.epic{
	color: #A96AFF;
	font-weight:bold;
	text-shadow:0 0 5px #000;
}
.epic-ms2 {
	color:#B06BFF;
	font-weight:bold;
	text-shadow:0 0 5px #000;
}
/*------------Rare-[Red]------------*/
.rare {
	color: #FF5757;
	font-weight:bold;
	text-shadow:0 0 5px #000;
}
.rare-ms2 {
	color:#FF6464;
	font-weight:bold;
	text-shadow:0 0 5px #000;
}
/*------------Unique-[Orange]------------*/
.unique {
	color: #FFB27D;
	font-weight:bold;
	text-shadow:0 0 5px #000;
}
.unique-ms2 {
	color:#FFE3BC;
	font-weight:bold;
	text-shadow:0 0 5px #000;
}
/*------------Common-[White]------------*/
.common {
	color: #FFF;
	font-weight:bold;
	text-shadow:0 0 5px #000;
}
.common-ms2 {
	color:#FFF;
	font-weight:bold;
	text-shadow:0 0 5px #000;
}
/*==============================================================[ Infobox Themes ]*/
.pi-theme-ms2 .pi-font,
.pi-theme-ms2 .pi-secondary-font {
	color:#fff;
	font:18px Fredoka One;
}
.theme-fandomdesktop-dark .pi-theme-ms2 {
	background:var(--ms2-background-dark);
}
.theme-fandomdesktop-dark .pi-theme-ms2 .pi-secondary-background {
	background:#1e1e1e;
}
.theme-fandomdesktop-dark .pi-theme-ms2 .pi-border-color {
	border:#1e1e1e;
}
.theme-fandomdesktop-light .pi-theme-ms2 {
	background:var(--ms2-background-light);
}
.theme-fandomdesktop-light .pi-theme-ms2 .pi-secondary-background {
	background:#00b3ff;
}
.theme-fandomdesktop-light .pi-theme-ms2 .pi-border-color {
	border:#00b3ff;
}
/*==============================================================[ Miscellaneous ]*/
.adapt {
	background-color:var(--theme-accent-color);
}
.theme-fandomdesktop-dark .templatedesktop {
	border-color:#FFF;
	background-color:#282828;
	color:#FFF;
}
.theme-fandomdesktop-light .templatedesktop {
	border-color:#000;
	background-color:#ffa251;
	color:#000;
}
code {
  background-color: var(--theme-page-background-color--secondary);
  padding: .2em;
  border-radius: 3px;
  font-size: 85%;
  font-family: monospace;
}
.theme-fandomdesktop-dark li.not-patrolled {
	background:#2D2D2D;
}
.theme-fandomdesktop-light li.not-patrolled {
	background:#D3D3D3;
}
.AlertNotice {
	border:1px solid;
	border-radius:5px;
	padding:1em;
	text-align:center;
}
.NavboxPrimary {
	text-align:center;
	padding:0.5em;
	font-size:18px;
}
.NavboxSecondary {
	text-align:center;
	padding:0.75em;
	border:1px solid;
}
.NoListStyle li {
  list-style-type:none;
}
.sticky {
	position:-webkit-sticky;
	position:sticky;
	top:2.5em;
	z-index:1;
}
.spoilertext {
    transition:0.5s;
}
.spoilertext:not(:hover) {
  --theme-page-text-color:transparent;
  --theme-link-color:transparent;
  color:transparent;
  background: #000;
}
.spoilertext:hover {
  color:var(--theme-page-text-color);
  background:#4d4d4d;
  opacity:50%;
}